Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Installing 2.4 - Array to string conversion


Go to End
Reply


12 Posts   7456 Views

Avatar
Optic Blaze

Community Member, 189 Posts

30 April 2013 at 8:37pm

Thanks Tama that worked for me as well.

Hi for those who were wondering the location of Controller.php is

sapphire/core/control/Controller.php

Avatar
bones

Community Member, 110 Posts

1 May 2013 at 3:07am

I've been having the same problem too. I'm using SS 2.4.10 and PHP 5.4.10 (MAMP). The solutions provided haven't worked for me.

I changed the PHP version in MAMP to 5.2.17, and the problem went away. Is there a better solution than downgrading MAMP?

Thanks.

Avatar
Willr

Forum Moderator, 5522 Posts

3 May 2013 at 9:08pm

The patch at http://open.silverstripe.org/ticket/7737 will fix it, or download the 'post-2.4' of SilverStripe from github.

Avatar
EduardoG

Community Member, 1 Post

15 October 2015 at 2:03am

In my case that happens moving from php 5.3 to 5.4 and fix the error replacing with the line suggested:

if(is_string($perm) && $this->hasMethod($methodName = 'can' . $perm)) {

Go to Top